%global gem_name english

Name: rubygem-%{gem_name}
Version: 0.7.1
Release: 1%{?dist}
Summary: Reference global variables using simple names
License: BSD-2-Clause
URL: https://github.com/ruby/%{gem_name}
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(rake)
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(bundler)
BuildArch: noarch

%description
Include the English library file in a Ruby script, and you can 
reference the global variables such as $_ using less cryptic 
names, listed below.

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

%check
#Find alternative to rake test
#rake test

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%license %{gem_instdir}/LICENSE.txt
%exclude %{gem_instdir}/English.gemspec
%exclude %{gem_instdir}/README.md
%exclude %{gem_instdir}/Rakefile
%exclude %{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Gemfile.lock
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/bin/console
%exclude %{gem_instdir}/bin/setup

%files doc
%doc %{gem_docdir}
%exclude %{gem_docdir}/rdoc
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Rakefile

%changelog
* Wed Nov 2 2022 Benson Muite <benson_muite@emailplus.org> - 0.7.1-1
- Initial package

